# Interface ICefSharedMemoryRegion

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefSharedMemoryRegion = interface(ICefBaseRefCounted)`

## Description

Interface that wraps platform-dependent share memory region mapping.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_shared_memory_region_capi.h">CEF source file: /include/capi/cef_shared_memory_region_capi.h (cef_shared_memory_region_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefSharedMemoryRegion

## Overview

### Methods

| `function IsValid: boolean;`
| `function Size: NativeUInt;`
| `function Memory: pointer;`

## Description

### Methods

| `function IsValid: boolean;`
Returns true (1) if the mapping is valid. ###### Attributes GUID['{2828D0E1-44D0-4C6F-8C63-5CA6036DDA82}']

| `function Size: NativeUInt;`
Returns the size of the mapping in bytes. Returns 0 for invalid instances.

| `function Memory: pointer;`
Returns the pointer to the memory. Returns nullptr for invalid instances. The returned pointer is only valid for the life span of this object.

Generated by PasDoc 0.16.0-snapshot.